org.apache.pdfbox.preflight.font

## Class FontValidator<T extends FontContainer>

- java.lang.Object
- - org.apache.pdfbox.preflight.font.FontValidator<T>

Direct Known Subclasses:
  SimpleFontValidator, Type0FontValidator, Type3FontValidator

    public abstract class FontValidator<T extends FontContainer>
    extends Object

### Field Summary

Fields
`protected PreflightContext` `context`
`protected FontDescriptorHelper<T>` `descriptorHelper`
`protected T` `fontContainer`

### Constructor Summary

Constructors
Constructor and Description
`FontValidator(PreflightContext context, org.apache.pdfbox.cos.COSDictionary dict, T fContainer)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `checkEncoding()`
`protected void` `checkToUnicode()`
`T` `getFontContainer()`
`abstract void` `validate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fontContainer

    protected final T extends FontContainer fontContainer

#### context

    protected final PreflightContext context

#### descriptorHelper

    protected FontDescriptorHelper<T extends FontContainer> descriptorHelper

### Constructor Detail

#### FontValidator

    public FontValidator(PreflightContext context,
                         org.apache.pdfbox.cos.COSDictionary dict,
                         T fContainer)

### Method Detail

#### validate

    public abstract void validate()
                           throws ValidationException

Throws:
  `ValidationException`

#### checkEncoding

    protected void checkEncoding()

#### checkToUnicode

    protected void checkToUnicode()

#### getFontContainer

    public T getFontContainer()